package com.lz.modules.third.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.job.business.DingtalkBusiness;
import com.lz.modules.third.entity.ThirdMsgSendRecord;

import java.util.List;
import java.util.Map;

/**
* <p>
* 第三方消息发送记录 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-19
*/
public interface ThirdMsgSendRecordService extends IService<ThirdMsgSendRecord> {



	ThirdMsgSendRecord selectThirdMsgSendRecordById(Long id);


	Long insertThirdMsgSendRecord(ThirdMsgSendRecord thirdMsgSendRecord);


	int updateThirdMsgSendRecordById(ThirdMsgSendRecord thirdMsgSendRecord);


	int updateCoverThirdMsgSendRecordById(ThirdMsgSendRecord thirdMsgSendRecord);


	int deleteThirdMsgSendRecordById(Long id);


	PageUtils queryPage(Map<String, Object> params);

    void insert(ThirdMsgSendRecord thirdMsgSendRecord);

    ThirdMsgSendRecord selectThirdMsgSendRecordByWorkIdAndStaffIdAndTypeAndStatus(Long workId, Long staffId, int workType, int status);

    List<ThirdMsgSendRecord> selectThirdMsgSendRecordsByRecordIds(List<Long> recordIds, int type, int status);
}